## yum-utils 1.1.26

=== Makefile ===
SUBDIRS = docs
PKGNAME = yum-utils
UTILS = package-cleanup debuginfo-install repoclosure repomanage repoquery repo-graph repo-rss yumdownloader yum-builddep repotrack reposync repodiff yum-debug-dump yum-debug-restore verifytree yum-groups-manager find-repos-of-install needs-restarting
UTILSROOT = yum-complete-transaction yumdb
VERSION=$(shell awk '/Version:/ { print $$2 }' ${PKGNAME}.spec)
RELEASE=$(shell awk -F%: '/Release:/ { print $$2 }' ${PKGNAME}.spec ')
SRPM_RELEASE=$(shell awk '/Release:/ { split($$2,a,"%"); print a[1] }' ${PKGNAME}.spec )
SRPM_FILE = ${PKGNAME}-${VERSION}-${SRPM_RELEASE}.src.rpm
WEBHOST = yum.baseurl.org
WEBPATH = /srv/projects/yum/web/download/yum-utils/
PY_FILES =  $(wildcard *.py) $(wildcard plugins/*/*.py)

NMPROG=yum-NetworkManager-dispatcher
NMPATH=$(DESTDIR)/etc/NetworkManager/dispatcher.d

BASHCOMP=yum-utils.bash
BASHCOMPPATH=$(DESTDIR)/etc/bash_completion.d

clean:
	rm -f *.pyc *.pyo *~
	rm -f test/*~
	rm -f *.tar.gz

install:
	mkdir -p $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/sbin/
	mkdir -p $(DESTDIR)/usr/share/man/man1
	for util in $(UTILS); do \
		install -m 755 $$util.py $(DESTDIR)/usr/bin/$$util; \
	done
	for util in $(UTILSROOT); do \
		install -m 755 $$util.py $(DESTDIR)/usr/sbin/$$util; \
	done

	for d in $(SUBDIRS); do make DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done
	mkdir -p $(NMPATH)
	install -m 755 $(NMPROG) $(NMPATH)
	mkdir -p $(BASHCOMPPATH)
	install -m 644 $(BASHCOMP) $(BASHCOMPPATH)

archive:
	@rm -rf ${PKGNAME}-${VERSION}.tar.gz
	@git archive --format=tar --prefix=$(PKGNAME)-$(VERSION)/ HEAD | gzip -9v >${PKGNAME}-$(VERSION).tar.gz
	@echo "The archive is in ${PKGNAME}-$(VERSION).tar.gz"

srpm: archive
	rm -f ~/rpmbuild/SRPMS/${PKGNAME}-${VERSION}-*.src.rpm
	rpmbuild -ts  ${PKGNAME}-${VERSION}.tar.gz

release:
	@git commit -a -m "bumped yum-utils version to $(VERSION)"
	@$(MAKE) ChangeLog
	@git commit -a -m "updated ChangeLog"
	@git push
	@$(MAKE) release-tag
	@$(MAKE) upload

release-tag:
	@git tag -s -f -m "Tagged ${PKGNAME}-$(VERSION)" ${PKGNAME}-$(VERSION)
	@git push --tags origin

install-builddeps:
	su -c "yum install perl-TimeDate "

test-release:
	@git checkout -b release-test
	# Add '.test' to Version in spec file
	@cat yum-utils.spec | sed  's/^Version:.*/&.test/' > yum-utils-test.spec ; mv yum-utils-test.spec yum-utils.spec
	@git commit -a -m "bumped yum-utils version to $(VERSION).test"
	# Make Changelog
	@git log --pretty --numstat --summary | ./tools/git2cl > ChangeLog
	@git commit -a -m "updated ChangeLog"
	# Make archive
	@rm -rf ${PKGNAME}-${VERSION}.test.tar.gz
	@git archive --format=tar --prefix=$(PKGNAME)-$(VERSION).test/ HEAD | gzip -9v >${PKGNAME}-$(VERSION).test.tar.gz
	# Build RPMS
	@rpmbuild -ta  ${PKGNAME}-${VERSION}.test.tar.gz
	@$(MAKE) test-cleanup


test-cleanup:
	@rm -rf ${PKGNAME}-${VERSION}.test.tar.gz
	@echo "Cleanup the git release-test local branch"
	@git checkout -f
	@git checkout master
	@git branch -D release-test

upload: archive srpm
	@scp ${PKGNAME}-${VERSION}.tar.gz $(WEBHOST):$(WEBPATH)/
	@scp ~/rpmbuild/SRPMS/${PKGNAME}-${VERSION}-*.src.rpm $(WEBHOST):$(WEBPATH)/${SRPM_FILE}
	@rm -rf ${PKGNAME}-${VERSION}.tar.gz

ChangeLog: FORCE
	@git log --pretty --numstat --summary | ./tools/git2cl > ChangeLog

pylint:
	@pylint --rcfile=test/yum-utils-pylintrc $(PY_FILES) 2>/dev/null

pylint-short:
	@pylint -r n --rcfile=test/yum-utils-pylintrc $(PY_FILES) 2>/dev/null

FORCE:

=== docs/Makefile ===
DOCS = repoquery package-cleanup repo-rss yumdownloader yum-builddep yum-changelog reposync \
       yum-list-data yum-filter-data yum-verify yum-utils yum-aliases yum-debug-dump yum-versionlock \
       yum-groups-manager debuginfo-install repodiff yum-fs-snapshot
DOCS5 = yum-changelog.conf yum-versionlock.conf yum-fs-snapshot.conf
DOCS8 = yum-security yum-complete-transaction 

all:
	echo "Nothing to do"

clean:
	rm -f *.pyc *.pyo *~

install:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	mkdir -p $(DESTDIR)/usr/share/man/man5
	mkdir -p $(DESTDIR)/usr/share/man/man8
	for doc in $(DOCS); do \
		install -m 644 $$doc.1 $(DESTDIR)/usr/share/man/man1/; \
	done
	for doc in $(DOCS5); do \
		install -m 644 $$doc.5 $(DESTDIR)/usr/share/man/man5/; \
	done
	for doc in $(DOCS8); do \
		install -m 644 $$doc.8 $(DESTDIR)/usr/share/man/man8/; \
	done

=== debian/changelog ===
yum-utils (1.1.26-0ubuntu1) oneiric; urgency=low

  * Initial release (LP: #789266)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 26 Jul 2011 11:42:44 -0400

=== debian/control ===
Source: yum-utils
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               gettext,
               intltool,
               python-dev (>= 2.6.6-3~)
Standards-Version: 3.9.1
X-Python-Version: >= 2.6
Homepage: http://yum.baseurl.org/wiki/YumUtils

Package: yum-utils
Architecture: any
Depends: createrepo,
         python-dateutil,
         yum (>= 3.2.25),
         ${misc:Depends},
         ${python:Depends}
Description: Utilities, plugins and examples for the Yum Package Manager
 yum-utils is a collection of utilities and examples for the yum package
 manager. It includes utilities by different authors that make yum easier and
 more powerful to use. These tools include: debuginfo-install,
 find-repos-of-install, needs-restarting, package-cleanup, repoclosure,
 repodiff, repo-graph, repomanage, repoquery, repo-rss, reposync,
 repotrack, verifytree, yumdownloader, yum-builddep, yum-complete-transaction,
 yum-config-manager, yum-debug-dump, yum-debug-restore and yum-groups-manager.

## yum-utils 1.1.31

=== docs/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 DOCS = repoquery package-cleanup repo-rss yumdownloader yum-builddep yum-changelog reposync \
        yum-list-data yum-filter-data yum-verify yum-utils yum-aliases yum-debug-dump yum-versionlock \
-       yum-groups-manager debuginfo-install repodiff yum-fs-snapshot
+       yum-groups-manager debuginfo-install repodiff yum-fs-snapshot \
+       show-installed show-changed-rco
 DOCS5 = yum-changelog.conf yum-versionlock.conf yum-fs-snapshot.conf
-DOCS8 = yum-security yum-complete-transaction 
+DOCS8 = yum-security yum-complete-transaction yumdb
 
 all:
 	echo "Nothing to do"

=== po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_DATA= ${INSTALL} -m 644
INSTALLNLSDIR=$(DESTDIR)/usr/share/locale
top_srcdir = "."


MSGMERGE = intltool-update -x --gettext-package=$(NLSPACKAGE) --dist

NLSPACKAGE = yum-utils

CATALOGS = $(shell ls *.po)
FMTCATALOGS = $(patsubst %.po,%.mo,$(CATALOGS))

PYFILES  = $(wildcard ../*.py) $(wildcard ../plugins/*/*.py) 
POTFILES  = $(PYFILES)

all: $(NLSPACKAGE).pot $(FMTCATALOGS)

POTFILES.in:
	for file in $(POTFILES); do \
		echo "$${file#../}" ; \
	done > $@

$(NLSPACKAGE).pot: $(POTFILES) POTFILES.in
	intltool-update --gettext-package=$(NLSPACKAGE) --pot

update-po: Makefile $(NLSPACKAGE).pot refresh-po

refresh-po: Makefile POTFILES.in
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`basename $$cat .po`; \
		cp $$lang.po $$lang.old.po; \
		if $(MSGMERGE) $$lang ; then \
			rm -f $$lang.old.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			mv $$lang.old.po $$lang.po ; \
		fi \
	done

report:
	@for cat in *.po ; do \
		echo -n "$$cat: "; \
		msgfmt --statistics -o /dev/null $$cat; \
	done    

clean:
	@rm -fv *mo *~ .depend *.autosave
   
distclean: clean
	rm -f *mo .depend Makefile $(NLSPACKAGE).pot POTFILES.in

depend:

install:	all
	mkdir -p $(PREFIX)/$(INSTALLNLSDIR)
	for n in $(CATALOGS); do \
	    l=`basename $$n .po`; \
	    mo=$$l.mo; \
	    if [ ! -f $$mo ]; then continue; fi; \
	    $(INSTALL) -m 755 -d $(PREFIX)/$(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(PREFIX)/$(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    $(INSTALL) -m 644 $$mo \
		$(PREFIX)/$(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

=== yumutils/Makefile ===
PYTHON=python
PACKAGE = $(shell basename `pwd`)
PYFILES = $(wildcard *.py)
PYVER := $(shell $(PYTHON) -c 'import sys; print "%.3s" %(sys.version)')
PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print sys.prefix')
PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
PKGDIR = $(PYLIBDIR)/site-packages/$(PACKAGE)

all: 
	echo "Nothing to do"

clean:
	rm -f *.pyc *.pyo *~

install:
	mkdir -p $(DESTDIR)/$(PKGDIR)
	for p in $(PYFILES) ; do \
		install -m 755 $$p $(DESTDIR)/$(PKGDIR)/$$p; \
	done
	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/$(PKGDIR)', 1, '$(PYDIR)', 1)"

=== debian/changelog ===
yum-utils (1.1.31-3) experimental; urgency=medium

  * debian/patches/08_print-depsolving-errors-in-yumdownloader.patch: Print
    depsolving errors in yumdownloader. (LP: #1378870)
  * Add Build-Depends on dh-python.
  * Use my @debian.org address.
  * Update Vcs-* control fields to new Git repository.
  * Run wrap-and-sort on debian/control.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Mike Miller <mtmiller@debian.org>  Sat, 24 Jan 2015 20:54:49 -0500

yum-utils (1.1.31-2) unstable; urgency=low

  * Add Depends for missing python module dependencies: python-iniparse,
    python-libxml2, python-rpm, python-urlgrabber. (Closes: #724755)
  * Remove unpackaged commands from package description: yum-debug-dump,
    yum-debug-restore.
  * Add debian/gbp.conf for git-buildpackage.

 -- Mike Miller <mtmiller@ieee.org>  Mon, 04 Nov 2013 08:52:35 -0500

yum-utils (1.1.31-1) unstable; urgency=low

  * Initial release. (Closes: #547171)

 -- Mike Miller <mtmiller@ieee.org>  Mon, 19 Aug 2013 01:37:59 -0400

=== debian/control ===
Source: yum-utils
Section: admin
Priority: extra
Maintainer: Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               gettext,
               intltool,
               python-all (>= 2.6.6-3~)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mtmiller/yum-utils.git
Vcs-Git: git://anonscm.debian.org/users/mtmiller/yum-utils.git
Standards-Version: 3.9.6
X-Python-Version: >= 2.4
Homepage: http://yum.baseurl.org/wiki/YumUtils

Package: yum-utils
Architecture: all
Depends: python-iniparse,
         python-libxml2,
         python-rpm,
         python-urlgrabber,
         yum (>= 3.2.29),
         ${misc:Depends},
         ${python:Depends}
Description: Utilities based around the yum package manager
 Yum-utils is a collection of utilities and examples for the yum package
 manager. It includes utilities by different authors that make yum easier and
 more powerful to use. The commands provided are:
 .
  * repo-graph: output a full package dependency graph in dot format
  * repo-rss: generate an RSS feed from one or more yum repositories
  * repoclosure: display a list of unresolved dependencies for a yum repository
  * repodiff: list differences between two or more yum repositories
  * repomanage: list the newest or oldest packages in a yum repository
  * repoquery: query information from yum repositories
  * reposync: synchronize yum repositories to a local directory
  * repotrack: track a package and its dependencies and download them
  * yum-builddep: install missing dependencies for building an RPM package
  * yum-complete-transaction: attempt to complete failed or aborted yum
    transactions
  * yum-config-manager: manage yum configuration options and yum repositories
  * yum-groups-manager: create and edit group metadata for a yum repository
  * yumdb: query and alter the yum database
  * yumdownloader: download RPM packages from yum repositories
 .
 On Debian and derived systems, this package can be useful for installing
 and managing chroots or lxc containers of yum-based distributions. The
 utilities for querying and managing yum repositories may also be useful for
 maintaining repositories of RPM packages on a Debian host.

=== debian/rules ===
#!/usr/bin/make -f

UTILS_PRUNE = debuginfo-install find-repos-of-install needs-restarting \
	      package-cleanup show-changed-rco show-installed verifytree \
	      yum-debug-dump yum-debug-restore


%:
	dh $@ --with python2

override_dh_auto_build:
	# Backup a pristine copy of l10n files
	for po in po/*.po po/yum-utils.pot; do cp -p $$po $$po.backup; done
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/yum-utils/etc/NetworkManager
	# Purge man pages for yum plugins, not relevant to Debian
	for plugin in $$(ls plugins); do \
	  rm -f debian/yum-utils/usr/share/man/man*/yum-$$plugin.[0-9]; \
	  rm -f debian/yum-utils/usr/share/man/man*/yum-$$plugin.conf.[0-9]; \
	done
	rm -rf debian/yum-utils/usr/share/man/man5
	# Don't install utils that don't work at all for Debian or that are
	# less useful and have unfortunate or confusing names. These utils
	# are installed as examples instead.
	for n in $(UTILS_PRUNE); do \
	  rm -f debian/yum-utils/usr/bin/$$n; \
	  rm -f debian/yum-utils/usr/share/man/man*/$$n.[0-9]; \
	done

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C po clean
	# Restore pristine l10n files
	for po in po/*.backup; do test ! -e $$po || mv -f $$po $${po%%.backup}; done

override_dh_installexamples:
	dh_installexamples
	chmod +x debian/yum-utils/usr/share/doc/yum-utils/examples/*.py

override_dh_compress:
	dh_compress -Xusr/share/doc/yum-utils/examples/

=== debian/watch ===
version=3
http://yum.baseurl.org/download/yum-utils/yum-utils-([\d\.]+)\.tar\.gz
